# When the package will be finished, install via CRAN
# install.packages("fso.metadata")

# Currently use:
devtools::install_url("https://renkulab.io/gitlab/dscc/metadata-auto-r-library/-/archive/v002/metadata-auto-r-library-v002.tar.gz")
library("fso.metadata")


## Get a codelist
# All languages
codelist <- get_codelist(identifier='CL_NOGA_SECTION')
names(codelist)
head(codelist)

# In french
codelist <- get_codelist(identifier='CL_NOGA_SECTION', language='fr')
names(codelist)

head(codelist$label.fr)
head(codelist$id)


## Get a nomenclature of one level
# All language: Level 1
nomenclature <- get_nomenclature_one_level(
  identifier='HCL_CH_ISCO_19_PROF', level_number=2
)
names(nomenclature)
head(nomenclature, 5)

# French: Level 2
nomenclature_fr <- get_nomenclature_one_level(
  identifier='HCL_CH_ISCO_19_PROF', level_number=1, language='fr'
)
names(nomenclature_fr)
head(nomenclature_fr, 5)

nomenclature_de <- get_nomenclature_one_level(
  identifier='HCL_CH_ISCO_19_PROF', level_number=1, language='de'
)
names(nomenclature_de)
head(nomenclature_de, 5)

## Get a nomenclature of multiple levels
# French
multi_nomenclature_fr <- get_nomenclature_multiple_levels(
  identifier='HCL_CH_ISCO_19_PROF', 
  level_from=1, 
  level_to=5, 
  language='fr'
)
head(multi_nomenclature_fr, 5)

# German
multi_nomenclature_de <- get_nomenclature_multiple_levels(
  identifier='HCL_CH_ISCO_19_PROF', 
  level_from=2, 
  level_to=3, 
  language='de'
)
head(multi_nomenclature_de, 5)

